// 分公司特殊组件页面注册
import Vue from 'vue'

export default function () {
  // 客户信息查询
  Vue.component('user-query', (resolve) => { require(['./UserQuery'], resolve) })
  Vue.component('res-select-group', (resolve) => { require(['./ResSelectGroupNew'], resolve) })
  // 补气查询
  Vue.component('fill-gas-query', (resolve) => { require(['./FillGasQuery'], resolve) })
  // 收费查询
  Vue.component('charge-query', (resolve) => { require(['./ChargeQuery'], resolve) })
  // 机表抄表查询
  Vue.component('handplan-query', (resolve) => { require(['./HandplanQuery'], resolve) })
  // 调价记录查询
  Vue.component('price-change-query', (resolve) => { require(['./PriceChangeQuery'], resolve) })
  // 用户设备查询
  Vue.component('user-equipment-query', (resolve) => { require(['./UserDeviceQuery'], resolve) })
  // 表具设备查询
  Vue.component('equipment-query', (resolve) => { require(['./DeviceQuery'], resolve) })
  // 表具查询
  Vue.component('meter-query', (resolve) => { require(['./MeterQuery'], resolve) })
  // 气量稽查查询
  Vue.component('inspect-list-gas', (resolve) => {
    require(['./InspectListGas'], resolve)
  })
  // 用气稽查
  Vue.component('gas-inspection', (resolve) => { require(['./GasInspection'], resolve) })
  // 换表查询
  Vue.component('change-meter-query', (resolve) => {
    require(['./ChangeMeterQuery'], resolve)
  })
  // 档案变更记录
  Vue.component('changeuser-query', (resolve) => {
    require(['./ChangeUserQuery'], resolve)
  })
  // 民用用气设备查询
  Vue.component('my-gas-device-query', (resolve) => {
    require(['./GasDeviceQuery'], resolve)
  })
  // 非民用用气设备查询
  Vue.component('fmy-gas-device-query', (resolve) => {
    require(['./FmyGasDeviceQuery'], resolve)
  })
  // 冲正查询
  Vue.component('reverse-query', (resolve) => {
    require(['./ReverseQuery'], resolve)
  })
  // 补卡查询
  Vue.component('fill-card-query', (resolve) => {
    require(['./FillCardQuery'], resolve)
  })
  // 气价信息查询
  Vue.component('gas-price-query', (resolve) => {
    require(['./gasPriceQuery'], resolve)
  })
  // 气费阶梯明细
  Vue.component('selling-charge-price', (resolve) => {
    require(['./sellingChargePrice'], resolve)
  })
  // 综合档案信息查询
  Vue.component('record-info-query', (resolve) => {
    require(['./RecordInfoQuery'], resolve)
  })
}
